Bug 1013272 - [abrt] nautilus-3.10.0-1.fc20: nautilus_location_entry_update_current_uri: Process /usr/bin/nautilus was killed by signal 11 (SIGSEGV)
[abrt] nautilus-3.10.0-1.fc20: nautilus_location_entry_update_current_uri: Pr...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:0f41b68e58324b73d5681c262b4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-28 21:01 EDT by Craig Robson
Modified: 2014-12-22 12:36 EST (History)
16 users (show)

See Also:
Fixed In Version: nautilus-3.10.1-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-08 22:53:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (28.71 KB, text/plain)
2013-09-28 21:01 EDT, Craig Robson
no flags Details
File: cgroup (159 bytes, text/plain)
2013-09-28 21:02 EDT, Craig Robson
no flags Details
File: core_backtrace (25.91 KB, text/plain)
2013-09-28 21:02 EDT, Craig Robson
no flags Details
File: dso_list (12.89 KB, text/plain)
2013-09-28 21:02 EDT, Craig Robson
no flags Details
File: environ (1.31 KB, text/plain)
2013-09-28 21:02 EDT, Craig Robson
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-28 21:02 EDT, Craig Robson
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-28 21:02 EDT, Craig Robson
no flags Details
File: maps (64.17 KB, text/plain)
2013-09-28 21:02 EDT, Craig Robson
no flags Details
File: open_fds (2.22 KB, text/plain)
2013-09-28 21:02 EDT, Craig Robson
no flags Details
File: proc_pid_status (931 bytes, text/plain)
2013-09-28 21:02 EDT, Craig Robson
no flags Details
File: var_log_messages (806 bytes, text/plain)
2013-09-28 21:02 EDT, Craig Robson
no flags Details
Check for valid location entry widget (760 bytes, patch)
2014-01-15 16:26 EST, Michael Cronenworth
no flags Details | Diff
File: Backtrace (25.73 KB, text/plain)
2014-02-17 10:24 EST, im_asmodeus
no flags Details
backtrace_1 (637 bytes, text/plain)
2014-02-18 08:57 EST, im_asmodeus
no flags Details
backtrace_2 (26.73 KB, text/plain)
2014-02-18 08:58 EST, im_asmodeus
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 722616 None None None Never

  None (edit)
Description Craig Robson 2013-09-28 21:01:55 EDT
Version-Release number of selected component:
nautilus-3.10.0-1.fc20

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        nautilus --new-window
crash_function: nautilus_location_entry_update_current_uri
executable:     /usr/bin/nautilus
kernel:         3.11.1-300.fc20.x86_64
runlevel:       unknown
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 nautilus_location_entry_update_current_uri at nautilus-location-entry.c:180
 #1 nautilus_location_entry_set_location at nautilus-location-entry.c:203
 #2 nautilus_window_sync_location_widgets at nautilus-window.c:1020
 #3 real_active at nautilus-window-slot.c:475
 #4 g_closure_invoke at /lib64/libgobject-2.0.so.0
 #5 signal_emit_unlocked_R at /lib64/libgobject-2.0.so.0
 #6 g_signal_emit_valist at /lib64/libgobject-2.0.so.0
 #7 g_signal_emit_by_name at /lib64/libgobject-2.0.so.0
 #8 nautilus_window_set_active_slot at nautilus-window.c:1776
 #9 notebook_switch_page_cb at nautilus-window.c:272
Comment 1 Craig Robson 2013-09-28 21:01:58 EDT
Created attachment 804585 [details]
File: backtrace
Comment 2 Craig Robson 2013-09-28 21:02:06 EDT
Created attachment 804586 [details]
File: cgroup
Comment 3 Craig Robson 2013-09-28 21:02:09 EDT
Created attachment 804587 [details]
File: core_backtrace
Comment 4 Craig Robson 2013-09-28 21:02:11 EDT
Created attachment 804588 [details]
File: dso_list
Comment 5 Craig Robson 2013-09-28 21:02:13 EDT
Created attachment 804589 [details]
File: environ
Comment 6 Craig Robson 2013-09-28 21:02:16 EDT
Created attachment 804590 [details]
File: exploitable
Comment 7 Craig Robson 2013-09-28 21:02:18 EDT
Created attachment 804591 [details]
File: limits
Comment 8 Craig Robson 2013-09-28 21:02:21 EDT
Created attachment 804592 [details]
File: maps
Comment 9 Craig Robson 2013-09-28 21:02:23 EDT
Created attachment 804593 [details]
File: open_fds
Comment 10 Craig Robson 2013-09-28 21:02:25 EDT
Created attachment 804594 [details]
File: proc_pid_status
Comment 11 Craig Robson 2013-09-28 21:02:28 EDT
Created attachment 804595 [details]
File: var_log_messages
Comment 12 Fiorenzo De Santis 2013-12-07 06:36:13 EST
it usually happens when I close a Nautilus window after I worked with an external USB device such as pen drives, SD cards and so on, however it apparently happens in a random way
Comment 13 Fiorenzo De Santis 2013-12-15 05:19:28 EST
finally I was able to reproduce it in a consistent way, because I found out that it happens when you copy something from an external storage device (I tried a SD card but it should work with any device) to your HD (in my case a SSD) using two tabs of the same Nautilus window

to reproduce it do as follows:

1. open a Nautilus window
2. insert a SD card
3. open the SD card in a new tab of the same Nautilus window
4. copy files and/or folders either by copy&paste or by drag&drop to your HD
5. eject the SD card by clicking on the triangle
6. close the Nautilus window by clicking on the x

hope it can help to fix this annoying issue
Comment 15 Moez Roy 2014-01-11 07:40:57 EST
(In reply to Fiorenzo De Santis from comment #13)
> finally I was able to reproduce it in a consistent way, because I found out
> that it happens when you copy something from an external storage device (I
> tried a SD card but it should work with any device) to your HD (in my case a
> SSD) using two tabs of the same Nautilus window
> 
> to reproduce it do as follows:
> 
> 1. open a Nautilus window
> 2. insert a SD card
> 3. open the SD card in a new tab of the same Nautilus window
> 4. copy files and/or folders either by copy&paste or by drag&drop to your HD
> 5. eject the SD card by clicking on the triangle
> 6. close the Nautilus window by clicking on the x
> 
> hope it can help to fix this annoying issue

I have a faster steps to reproduce (no need for SD card):

1. open 2 nautilus windows.

2. in one window open 2 tabs (each tab must be different folders).

3. close the nautilus window which has 2 tabs.

CRASH
Comment 16 Michael Cronenworth 2014-01-15 16:26:26 EST
Created attachment 850712 [details]
Check for valid location entry widget

After some debugging I observed that nautilus is attempting to update the location entry widget when each tab is closed, but the widget has been mangled by the window being destroyed and is no longer valid.

A simple NULL check and widget test keeps nautilus from crashing for me.

This may not be the best way to fix this, but I didn't see another solution after spending a few minutes looking at it.
Comment 17 Moez Roy 2014-01-15 22:48:02 EST
@Matthias Clasen: There is a patch and steps to reproduce for this bug. What happens now? Do you also need to file a bug upstream?
Comment 18 Michael Catanzaro 2014-01-19 21:00:07 EST
It would be good to file a bug with this patch upstream, yes. Thanks for the fix, Michael.
Comment 19 Igor Gnatenko 2014-01-20 07:40:04 EST
Yes. Could you open bug in GNOME Bugziila ?
Comment 20 Michael Cronenworth 2014-01-20 11:49:05 EST
Bug opened: https://bugzilla.gnome.org/show_bug.cgi?id=722616
Comment 21 Moez Roy 2014-02-06 07:36:28 EST
(In reply to Igor Gnatenko from comment #19)
> Yes. Could you open bug in GNOME Bugziila ?

Igor, can you merge the second patch Michael posted at https://bugzilla.gnome.org/show_bug.cgi?id=722616
Comment 22 Michael Cronenworth 2014-02-06 14:21:43 EST
FYI, the patch has now been committed upstream.
Comment 23 Adam Williamson 2014-02-06 14:40:04 EST
I'm backporting this (plus the other crasher fix that got committed alongside it, just for the hell of it).
Comment 24 Fedora Update System 2014-02-06 16:13:55 EST
nautilus-3.10.1-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nautilus-3.10.1-3.fc20
Comment 25 Fedora Update System 2014-02-08 00:06:36 EST
Package nautilus-3.10.1-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nautilus-3.10.1-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-2167/nautilus-3.10.1-3.fc20
then log in and leave karma (feedback).
Comment 26 Fedora Update System 2014-02-08 22:53:49 EST
nautilus-3.10.1-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 27 im_asmodeus 2014-02-16 11:18:51 EST
The problem persist after update, similar to comment #15

Copied files total size over 5GB with multiple windows.
Comment 28 Michael Catanzaro 2014-02-16 12:49:51 EST
(In reply to im_asmodeus from comment #27)
> The problem persist after update, similar to comment #15

Hm, it doesn't seem like it should be possible to get this exact same crash after this update. Also, the problem tracker [1] indicates zero crashes on the updated version 3.10.1-3.

Just to be sure -- since Nautilus is one of those applications that likes to live in the background even though it appears to be closed -- did you log out (or restart) between applying the update and hitting the crash?

If so, a backtrace would be helpful here as it might be slightly different from the original crash, yet similar enough that ABRT considers it a duplicate to this bug.

[1] https://retrace.fedoraproject.org/faf/problems/1490268/
Comment 29 im_asmodeus 2014-02-17 10:24:11 EST
Created attachment 864133 [details]
File: Backtrace
Comment 30 im_asmodeus 2014-02-17 10:27:17 EST
Reply to comment #27

I did logged out, using laptop, logout/lock/poweroff is a frequent occurrence.
I've uploaded the backtrace - see comment #29
Comment 31 Michael Catanzaro 2014-02-17 19:04:50 EST
(In reply to im_asmodeus from comment #30)
> I've uploaded the backtrace - see comment #29

Not core_backtrace (though that does indeed look like this same crash); there is a file in that folder named coredump. Could you please take that file and generate a stack trace follow the instructions at https://fedoraproject.org/wiki/StackTraces#core

(Note that the last command listed there is the one that you need to type first.)
Comment 32 im_asmodeus 2014-02-18 08:57:41 EST
Created attachment 864571 [details]
backtrace_1
Comment 33 im_asmodeus 2014-02-18 08:58:35 EST
Created attachment 864572 [details]
backtrace_2
Comment 34 im_asmodeus 2014-02-18 09:03:00 EST
Reply to comment #28 & comment #31

Uploaded the requested files.

#0  0x000000000044711d in nautilus_location_entry_update_current_uri (
    uri=0x198b750 "mtp://[usb:003,003]/Phone/Download", entry=0x0)
    at nautilus-location-entry.c:183
183		nautilus_entry_set_text (NAUTILUS_ENTRY (entry), uri);

"Hm, it doesn't seem like it should be possible to get this exact same crash after this update"

Note You need to log in before you can comment on or make changes to this bug.